> ## Documentation Index
> Fetch the complete documentation index at: https://docs.engine.usesophic.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a legal document version

> Retrieve a specific version of a legal document.



## OpenAPI

````yaml https://api.engine.usesophic.com/openapi.json get /legal-documents/{legal_document_id}/versions/{version_id}
openapi: 3.1.0
info:
  title: Sophic Engine API
  version: 0.1.0
servers:
  - url: https://api.engine.usesophic.com/
security: []
paths:
  /legal-documents/{legal_document_id}/versions/{version_id}:
    get:
      summary: Retrieve a legal document version
      description: Retrieve a specific version of a legal document.
      operationId: >-
        get_legal_document_version_legal_documents__legal_document_id__versions__version_id__get
      parameters:
        - name: legal_document_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the legal document.
            title: Legal Document Id
          description: The ID of the legal document.
        - name: version_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the version to retrieve.
            title: Version Id
          description: The ID of the version to retrieve.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LegalDocumentVersion'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - HTTPBearer: []
components:
  schemas:
    LegalDocumentVersion:
      properties:
        id:
          type: string
          title: Id
          description: Unique resource identifier.
        legal_document:
          type: string
          title: Legal Document
          description: ID of the parent legal document.
        version:
          type: string
          title: Version
          description: Version of the legal document.
        effective_at:
          type: string
          format: date-time
          title: Effective At
          description: >-
            The timestamp from which this version of the document is effective
            (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format).
        file:
          type: string
          title: File
          description: ID of the underlying `File`.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was created.
        modified_at:
          type: string
          format: date-time
          title: Modified At
          description: >-
            The timestamp (in
            [ISO-8601](https://www.iso.org/iso-8601-date-and-time-format.html)
            format) of when the resource was last modified.
      type: object
      required:
        - created_at
        - modified_at
        - id
        - legal_document
        - version
        - effective_at
        - file
      title: LegalDocumentVersion
    Error:
      properties:
        detail:
          type: string
          title: Detail
          description: A human-readable description of the error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
        docs:
          title: Docs
          description: A URL to documentation about this error code.
          x-remove-null-from-type-union: true
          type: string
        context:
          title: Context
          description: An optional object for adding extra context to the error.
          x-remove-null-from-type-union: true
          additionalProperties:
            anyOf:
              - type: string
              - type: integer
          type: object
        params:
          title: Params
          description: An optional list of params that failed validation.
          x-remove-null-from-type-union: true
          items:
            $ref: '#/components/schemas/InvalidParam'
          type: array
      type: object
      required:
        - detail
        - code
      title: Error
    InvalidParam:
      properties:
        path:
          items:
            anyOf:
              - type: integer
              - type: string
          type: array
          title: Path
          description: Path to the field name (or index if a list) that errored.
        detail:
          type: string
          title: Detail
          description: Human-readable detail for error.
        code:
          type: string
          title: Code
          description: A machine-readable error code.
      type: object
      required:
        - path
        - detail
        - code
      title: InvalidParam
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````